/* codegen.h
 * R8C (Renesas 16bit microprocessor) Code Generator 
 * Input: Stack-machine Opcodes
 * Output: Opcodes for Registers as Stack cache with Register renaming
 *
 * by Andre Adrian
 *
 * version 28may2006
 */
 
void pushaddr(int value);
void pushvar(int ident);
void pushconst(int value);
void pop();
void add();
void sub();
void mul();
void div();
void neg();
void and();
void or();
void not();
